# TdApi.InputMessagePhoto (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InputMessagePhoto

Package it.tdlight.jni

# Class TdApi.InputMessagePhoto

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessagePhoto

Enclosing class:
  TdApi

    public static class TdApi.InputMessagePhoto
    extends TdApi.InputMessageContent

A photo message.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`int[]` | `addedStickerFileIds` | File identifiers of the stickers added to the photo, if applicable.
`TdApi.FormattedText` | `caption` | Photo caption; pass null to use an empty caption; 0-GetOption("message_caption_length_max") characters.
`static int` | `CONSTRUCTOR` |
`int` | `height` | Photo height.
`TdApi.InputFile` | `photo` | Photo to send.
`TdApi.InputThumbnail` | `thumbnail` | Photo thumbnail to be sent; pass null to skip thumbnail uploading.
`int` | `ttl` | Photo TTL (Time To Live), in seconds (0-60).
`int` | `width` | Photo width.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InputMessagePhoto()` | A photo message.
`InputMessagePhoto​(TdApi.InputFile photo, TdApi.InputThumbnail thumbnail, int[] addedStickerFileIds, int width, int height, TdApi.FormattedText caption, int ttl)` | A photo message.
`InputMessagePhoto​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### photo

public TdApi.InputFile photo
Photo to send.

### thumbnail

public TdApi.InputThumbnail thumbnail
Photo thumbnail to be sent; pass null to skip thumbnail uploading. The thumbnail is sent to the other party only in secret chats.

### addedStickerFileIds

public int[] addedStickerFileIds
File identifiers of the stickers added to the photo, if applicable.

### width

public int width
Photo width.

### height

public int height
Photo height.

### caption

public TdApi.FormattedText caption
Photo caption; pass null to use an empty caption; 0-GetOption("message_caption_length_max") characters.

### ttl

public int ttl
Photo TTL (Time To Live), in seconds (0-60). A non-zero TTL can be specified only in private chats.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### InputMessagePhoto

public InputMessagePhoto()
A photo message.

### InputMessagePhoto

public InputMessagePhoto​(TdApi.InputFile photo, TdApi.InputThumbnail thumbnail, int[] addedStickerFileIds, int width, int height, TdApi.FormattedText caption, int ttl)
A photo message.

Parameters:
  `photo` - InputFile Photo to send.
  `thumbnail` - InputThumbnail Photo thumbnail to be sent; pass null to skip thumbnail uploading. The thumbnail is sent to the other party only in secret chats.
  `addedStickerFileIds` - int[] File identifiers of the stickers added to the photo, if applicable.
  `width` - int Photo width.
  `height` - int Photo height.
  `caption` - FormattedText Photo caption; pass null to use an empty caption; 0-GetOption("message_caption_length_max") characters.
  `ttl` - int Photo TTL (Time To Live), in seconds (0-60). A non-zero TTL can be specified only in private chats.

### InputMessagePhoto

public InputMessagePhoto​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`